### Method

# FwupdPlugin DeviceEvent set_i64

since: 2.0.0

#### Declaration [src]

    void
    fu_device_event_set_i64 (
      FuDeviceEvent* self,
      const gchar* key,
      gint64 value
    )

#### Description [src]

Sets an integer value on the string.

Available since: 2.0.0

#### Parameters

`key`

  Type: `const gchar*`

  A unique key, e.g. `Name`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `gint64`

  A string.